#include <bits/stdc++.h>

using namespace std;

long long Konflikt(int N,int M,int *A,int *B){
    long long best = 1e18;
    vector<int> nizb(N+1, -1e9);
    for(int i=1; i<=N; i++)nizb[i] = B[i];
    sort(nizb.begin(), nizb.end());
    for(int i=1; i<=2*M; i++)
    {
        vector<int> niz(N);
        niz[0] = -1e9;
        for(int j=1; j<=N; j++)niz[j-1] = (A[j]+i)%M;
        sort(niz.begin(), niz.end());
        do
        {
            long long trrez = 0;
            for(int j=1; j<=N; j++)trrez+= min(abs(niz[j-1] - B[j]), M- abs(abs(niz[j-1] - B[j])));
            best = min(best, trrez);
        }while(next_permutation(niz.begin(), niz.end()));
    }
    return best;
}